Page MenuHomePhabricator

Drop php56 testing support
Closed, ResolvedPublic0 Estimated Story Points

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2019, 4:28 PM

Change 514055 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] SmashPig, wikimania-scholarships: Drop php56 jobs

https://gerrit.wikimedia.org/r/514055

Change 514058 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Drop all PHP56 jobs

https://gerrit.wikimedia.org/r/514058

Change 514059 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Drop all PHP56 containers

https://gerrit.wikimedia.org/r/514059

hashar added a subscriber: hashar.Jul 5 2019, 12:23 PM

Change 514055 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] SmashPig, wikimania-scholarships: Drop php56 jobs

https://gerrit.wikimedia.org/r/514055

Smashpig that is for fundraising people. I think they have migrated to Stretch / php7.0 but I could not find a way to verify.

wikimania-scholarships is for https://scholarships.wikimedia.org/ from puppet:

manifests/site.pp
# virtual machine for misc. applications
# (as opposed to static sites using 'webserver_misc_static')
#
# profile::wikimania_scholarships - https://scholarships.wikimedia.org/
# profile::iegreview              - https://iegreview.wikimedia.org
# profile::racktables             - https://racktables.wikimedia.org
node 'krypton.eqiad.wmnet', 'miscweb2001.codfw.wmnet' {
    role(webserver_misc_apps)
}

The hosts both have php5.6 / use Jessie. So that is blocked on upgrading: T210008

Aha, knew there'd be a task. :-)

Change 521378 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [wikimania-scholarships] Migrate from php56 to php72

https://gerrit.wikimedia.org/r/521378

Change 521378 merged by jenkins-bot:
[integration/config@master] layout: [wikimania-scholarships] Migrate from php56 to php72

https://gerrit.wikimedia.org/r/521378

greg triaged this task as Medium priority.Jul 22 2019, 9:47 PM
greg moved this task from INBOX to Soon-ish on the Release-Engineering-Team-TODO board.

Change 514055 merged by jenkins-bot:
[integration/config@master] layout: [SmashPig] Drop php56 jobs

https://gerrit.wikimedia.org/r/514055

Mentioned in SAL (#wikimedia-releng) [2019-10-28T14:45:13Z] <James_F> Zuul: Drop PHP56 jobs for SmashPig T224906

Everything except T224591 itself is now done.

Dzahn changed the status of subtask T224591: Migrate contint* hosts to Buster from Open to Stalled.Mar 25 2020, 3:26 PM
Dzahn changed the status of subtask T224591: Migrate contint* hosts to Buster from Stalled to Open.Apr 2 2020, 7:44 PM

Mentioned in SAL (#wikimedia-releng) [2020-05-29T07:18:11Z] <hashar> Deleted last php5.6 job hurrah and thanks James ! https://integration.wikimedia.org/ci/job/composer-php56-docker/ # T224906

Change 514058 merged by jenkins-bot:
[integration/config@master] jjb: Drop composer-php56-docker, last remaining PHP56 job

https://gerrit.wikimedia.org/r/514058

Change 514059 merged by jenkins-bot:
[integration/config@master] dockerfiles: Drop all PHP56 containers

https://gerrit.wikimedia.org/r/514059

hashar closed this task as Resolved.May 29 2020, 7:23 AM
hashar assigned this task to Jdforrester-WMF.

The last use was for integration/docroot / T224591 . The services have been migrated to contint2001 which uses Buster and php7, we will reimage contint1001 next week. So I guess we are all set and there is no need to keep this task open an extra week.

Thank you James for all the migrations!!!!!!!!!!